Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class ObjectLinkRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.ObjectLinkRecord

    public final class ObjectLinkRecord

extends StandardRecord

Links text to an object on the chart or identifies it as the title.

Author:
  Andrew C. Oliver (acoliver at apache.org)

Field Summary
`static short` | `ANCHOR_ID_CHART_TITLE`
`static short` | `ANCHOR_ID_SERIES_OR_POINT`
`static short` | `ANCHOR_ID_X_AXIS`
`static short` | `ANCHOR_ID_Y_AXIS`
`static short` | `ANCHOR_ID_Z_AXIS`
`static short` | `sid`

Constructor Summary
`ObjectLinkRecord()`
`ObjectLinkRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getAnchorId()` Get the anchor id field for the ObjectLink record.
`protected int` | `getDataSize()`
`short` | `getLink1()` Get the link 1 field for the ObjectLink record.
`short` | `getLink2()` Get the link 2 field for the ObjectLink record.
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAnchorId(short field_1_anchorId)` Set the anchor id field for the ObjectLink record.
`void` | `setLink1(short field_2_link1)` Set the link 1 field for the ObjectLink record.
`void` | `setLink2(short field_3_link2)` Set the link 2 field for the ObjectLink record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### ANCHOR_ID_CHART_TITLE

    public static final short ANCHOR_ID_CHART_TITLE

See Also:
  Constant Field Values

### ANCHOR_ID_Y_AXIS

    public static final short ANCHOR_ID_Y_AXIS

See Also:
  Constant Field Values

### ANCHOR_ID_X_AXIS

    public static final short ANCHOR_ID_X_AXIS

See Also:
  Constant Field Values

### ANCHOR_ID_SERIES_OR_POINT

    public static final short ANCHOR_ID_SERIES_OR_POINT

See Also:
  Constant Field Values

### ANCHOR_ID_Z_AXIS

    public static final short ANCHOR_ID_Z_AXIS

See Also:
  Constant Field Values

Constructor Detail

### ObjectLinkRecord

    public ObjectLinkRecord()

### ObjectLinkRecord

    public ObjectLinkRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getAnchorId

    public short getAnchorId()

  Get the anchor id field for the ObjectLink record.

  Returns:
    One of ANCHOR_ID_CHART_TITLE ANCHOR_ID_Y_AXIS ANCHOR_ID_X_AXIS ANCHOR_ID_SERIES_OR_POINT ANCHOR_ID_Z_AXIS

### setAnchorId

    public void setAnchorId(short field_1_anchorId)

  Set the anchor id field for the ObjectLink record.

  Parameters:
    `field_1_anchorId` - One of ANCHOR_ID_CHART_TITLE ANCHOR_ID_Y_AXIS ANCHOR_ID_X_AXIS ANCHOR_ID_SERIES_OR_POINT ANCHOR_ID_Z_AXIS

### getLink1

    public short getLink1()

  Get the link 1 field for the ObjectLink record.

### setLink1

    public void setLink1(short field_2_link1)

  Set the link 1 field for the ObjectLink record.

### getLink2

    public short getLink2()

  Get the link 2 field for the ObjectLink record.

### setLink2

    public void setLink2(short field_3_link2)

  Set the link 2 field for the ObjectLink record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.